{ stdenv, lib, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "Anime4k";
  version = "4.0.1";

  src = fetchFromGitHub {
    owner = "bloc97";
    repo = "anime4k";
    rev = "v${version}";
    sha256 = "1gc1ka9i7xzxq58175q5svhvp8vr27hy477r4z4nkhp9q1cqj19r";
  };
  
  installPhase = ''
    find ./glsl/ -type f -iname '*.glsl' -exec install -Dm 644 {} -t $out/usr/share/shaders/ \;
  '';
  
  meta = with lib; {
    description = "A High-Quality Real Time Upscaler for Anime Video ";
    homepage = "A High-Quality Real Time Upscaler for Anime Video ";
    license = licenses.mit;
    maintainers = [ ];
    platforms = platforms.linux;
  };
}
